Bug 914790 (mingw-libcacard)

Summary: Review Request: mingw-libcacard - CAC (Common Access Card) library
Product: [Fedora] Fedora Reporter: Marc-Andre Lureau <marcandre.lureau>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: erik-fedora, fedora-mingw, package-review, pbonzini
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: marcandre.lureau: fedora-review?
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-23 13:50:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 886322, 914788    
Bug Blocks:    

Description Marc-Andre Lureau 2013-02-22 19:03:28 UTC
Spec URL: http://elmarco.fedorapeople.org/mingw-qemu.spec
SRPM URL: http://elmarco.fedorapeople.org/mingw-qemu-1.4.0-1.fc18.src.rpm
Description: QEMU is a FAST! processor emulator
Fedora Account System Username: elmarco

Comment 1 Marc-Andre Lureau 2013-02-22 19:04:11 UTC
This package only provides mingw32-libcacard mingw64-libcacard

Comment 2 Erik van Pienbroek 2013-05-20 16:32:11 UTC
Is there any particular reason why you're calling the ./configure script manually instead of using the %mingw_configure RPM macro?

Comment 3 Marc-Andre Lureau 2013-05-20 18:51:10 UTC
(In reply to Erik van Pienbroek from comment #2)
> Is there any particular reason why you're calling the ./configure script
> manually instead of using the %mingw_configure RPM macro?

thanks for taking a look at the spec! :)

Yes, qemu configure isn't autofoo, and has subtle difference. I think among other it errors out if it has unknown or unhandled arguments.

Comment 4 Marc-Andre Lureau 2015-09-23 13:50:08 UTC
closing, libcacard is now a seperate package.

I will open mingw-libcacard instead shortly.

Comment 5 Marc-Andre Lureau 2015-09-23 15:25:00 UTC
reopening with cacard, easier that way.

nss & nspr still pre-required

Comment 6 Fabiano FidĂȘncio 2015-11-25 15:36:56 UTC
Spec URL: https://fidencio.fedorapeople.org/fedora/mingw-libcacard/mingw-libcacard.spec
SRPM URL: https://fidencio.fedorapeople.org/fedora/mingw-libcacard/mingw-libcacard-2.5.1-1.fc24.src.rpm
Description: Common Access Card (CAC) emulation library.
Fedora Account System Username: fidencio